Di_system_devfs

## Functions

ssize_t | di_system_devfs_map_from (const char *path, char *ret, size_t len)
ssize_t | di_mapdevfs (const char *path, char *ret, size_t len) __attribute__((deprecated))

## Detailed Description

## Function Documentation

## di_mapdevfs()

ssize_t di_mapdevfs | ( | const char * | path,
|  | char * | ret,
|  | size_t | len
| ) |  |

Deprecated:
  Alias of di_system_devfs_map_from

## di_system_devfs_map_from()

ssize_t di_system_devfs_map_from | ( | const char * | path,
|  | char * | ret,
|  | size_t | len
| ) |  |

Maps a devfs path to the corresponding standard dev path

Parameters

  path | an existing device
  ret | device
  len | len of ret

{
/* Do nothing on other systems */
return snprintf (buf, n, "%s", path);
}